Update a report template
PATCH
/api/v1/reports/templates/{template_id}
const url = 'https://api.ultimateteam.ai/api/v1/reports/templates/example';const options = { method: 'PATCH', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"delivery_email":"example","description":"example","filters":{},"groupings":["example"],"metric_ids":["example"],"name":"example","output_format":"example","schedule":"example","shared_with_tenant":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.ultimateteam.ai/api/v1/reports/templates/example \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "delivery_email": "example", "description": "example", "filters": {}, "groupings": [ "example" ], "metric_ids": [ "example" ], "name": "example", "output_format": "example", "schedule": "example", "shared_with_tenant": true }'Update allowed fields on a report template. Rejects attempts to change tenant_id, id, or created_by_user_id.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”template_id
required
Template Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ReportTemplateUpdate
Schema for updating an existing report template.
All fields are optional; only provided fields are updated.
object
groupings
Any of:
Array<string>
null
metric_ids
Any of:
Array<string>
null
Examplegenerated
{ "delivery_email": "example", "description": "example", "filters": {}, "groupings": [ "example" ], "metric_ids": [ "example" ], "name": "example", "output_format": "example", "schedule": "example", "shared_with_tenant": true}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Update Report Template Api V1 Reports Templates Template Id Patch
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}